# load package:

if ( !require("ecoval") ) { install.packages("ecoval"); library(ecoval) }

# create output folder:

if ( !dir.exists("../output/EN") ) dir.create("../output/EN",recursive=TRUE)

# perform analysis with results from plausibilization (comment line "file.typeplaus ..." for preliminary results without):

res <- msk.macrophytes.2017.read.compile.evaluate(file.site         = "../input/EN/DataSites_max.txt",
                                                  pic.folder        = "../input/pictures",
                                                  file.species      = "../input/EN/DataSpecies.txt",
                                                  file.typeplaus    = "../input/EN/Rivertypes_Plaus.txt",
                                                  sampling.protocol = "v2018",
                                                  sampsize          = 10000,
                                                  file.res          = "../output/EN/DataSites_Attributes_Valuation_Final_max.txt",
                                                  file.doc          = "../output/EN/Documentation_Sites_max.pdf",
                                                  file.taxa.used    = "../output/EN/Taxa_used.txt",
                                                  file.taxa.removed = "../output/EN/Taxa_removed.txt",
                                                  file.check.msg    = "../output/EN/Quality_Check.txt",
                                                  language          = "English")

# write taxa list (for information only):

write.table(res$taxalist,"../output/EN/Taxalist.txt",col.names=T,row.names=F,sep="\t",na="")
