# load package:

if ( !require("ecoval") ) { install.packages("ecoval"); library(ecoval) }

# create output folder:

if ( !dir.exists("../output/FR") ) dir.create("../output/FR",recursive=TRUE)

# perform analysis with results from plausibilization (comment line "file.typeplaus ..." for preliminary results without):

res <- msk.macrophytes.2017.read.compile.evaluate(file.site         = "../input/FR/DonneesSites_max.txt",
                                                  pic.folder        = "../input/pictures",
                                                  file.species      = "../input/FR/DonneesEspeces.txt",
                                                  file.typeplaus    = "../input/FR/TypesCoursdEau_Vrais.txt",
                                                  sampling.protocol = "v2018",
                                                  sampsize          = 10000,
                                                  file.res          = "../output/FR/DonneesSites_Atributs_Evaluation_Final_max.txt",
                                                  file.doc          = "../output/FR/Documentation_Sites_max.pdf",
                                                  file.taxa.used    = "../output/FR/Taxons_utilises.txt",
                                                  file.taxa.removed = "../output/FR/Taxons_supprimes.txt",
                                                  file.check.msg    = "../output/FR/Controle_Qualite.txt",
                                                  language          = "Francais")

# write taxa list (for information only):

write.table(res$taxalist,"../output/FR/Liste_Taxons.txt",col.names=T,row.names=F,sep="\t",na="")
