# uiText.R

.app.lang <- if (!exists(".app.config") || !("lang" %in% names(.app.config)) || is.na(as.character(.app.config$lang))) {
  "de"
  #print("No lang config found..")
} else {
  .app.config$lang
}
#print(.app.lang)

uiDict = data.frame(
  lang.code.default       = c("Deutsch",
                              "Francais",
                              "English"),
  navbar.title            = c("Oekologische Bewertung",
                              "Evaluation ecologique",
                              "Ecological assessment"),
  navbar.home             = c("Startseite",
                              "Page d'accueil",
                              "Homepage"),
  home.title              = c("Oekologische Bewertung von Oberflaechengewaessern in der Schweiz",
                              "Evaluation ecologique des eaux de surface en Suisse",
                              "Ecological assessment of surface waters in Switzerland"),
  home.version.info       = c("Werkzeug ecoval,   Version R-Paket: 1.2.7,   Version Benutzerinterface: 0.2.7",
                              "Outil ecoval,      version R paquet: 1.2.7,  version interface utilisateur: 0.2.7",
                              "Ecoval tool,       R package version: 1.2.7, user interface version: 0.2.7"),
  lakes.title.panel       = c("Oekomorphologische Bewertung der Seeufer",
                              "Evaluation ecomorphologique des rives lacustres",
                              "Ecomorphological assessment of a lake shore"),
  lake.shore              = c("Seeufer",
                              "Rive lacustre",
                              "Lake shore"),
  lake.shore.assesment    = c("Seeuferbewertung",
                              "Evaluation des rives lacustres",
                              "Lake shore assessment"),
  broken.link             = c("Ungueltiger Link",
                              "Lien invalide",
                              "Broken link"),
  directory               = c("Verzeichnis",
                              "Repertoire",
                              "Directory"),
  select.directory        = c("Waehlen des Verzeichnisses",
                              "Selectionner le repertoire",
                              "Select a directory"),
  dir.data                = c("Verzeichnis Daten",
                              "Repertoire donnees",
                              "Data directory"),
  dir.images              = c("Verzeichnis Bilder",
                              "Repertoire images",
                              "Images directory"),
  dir.input               = c("Verzeichnis Eingabe",
                              "Repertoire entree",
                              "Input directory"),
  dir.output              = c("Verzeichnis Ausgabe",
                              "Repertoire sortie",
                              "Output directory"),
  separator               = c("Separator",
                              "Separateur",
                              "Separator"),
  column.name             = c("Spaltenname",
                              "Nom de colonne",
                              "Column name"),
  column.names            = c("Spaltennamen",
                              "Noms des colonnes",
                              "Columns names"),
  csv.col.start           = c("Abschnitts-Anfang",
                              "Debut de section",
                              "Section start"),
  csv.col.start.value     = c("Von",
                              "De",
                              "From"),
  csv.col.end             = c("Abschnitts-Ende",
                              "Fin de section",
                              "Section end"),
  csv.col.end.value       = c("Bis",
                              "A",
                              "To"),
  csv.col.level           = c("Attribut-Auspraegung",
                              "Modalite des attributs",
                              "Attribute's characteristics"),
  csv.col.level.value     = c("Code",
                              "Code",
                              "Code"),
  csv.col.measureId       = c("Uferlinie",
                              "Ligne de rive",
                              "Shore line"),
  csv.col.measureId.value = c("ID_Uferlinie",
                              "ID_LigneRive",
                              "ID_Shoreline"),
  csv.col.comments        = c("Bemerkungen",
                              "Remarques",
                              "Comments"),
  csv.col.comments.value  = c("Bemerkungen",
                              "Remarques",
                              "Comments"),
  attributes              = c("Attribute",
                              "Attributs",
                              "Attributes"),
  attribute               = c("Attribut",
                              "Attribut",
                              "Attribute"),
  show.attributes         = c("Attribute zeigen",
                              "Montrer les attributs",
                              "Show attributes"),
  level                   = c("Auspraegung",
                              "Modalite",
                              "Level"),
  read.files              = c("Daten einlesen",
                              "Lire les donnees",
                              "Read files"),
  check.files             = c("Daten pruefen",
                              "Controler les donnees",
                              "Check files"),
  language.encoding       = c("Sprache / Codierung",
                              "Langue / Code",
                              "Language / Encoding"),
  interface.language      = c("Interface Sprache",
                              "Langue de l'interface",
                              "Interface language"),
  write.files             = c("Auswertung in Dateien schreiben",
                              "Ecrire l'evalutation dans les fichiers",
                              "Write assessment into files"),
  write                   = c("Schreiben",
                              "Ecrire",
                              "Write"),
  plot                    = c("Zeichnen",
                              "Dessiner",
                              "Plot"),
  interactive.plots       = c("Interaktive Auswertung",
                              "Evaluation interactive",
                              "Interactive assessment"),
  target.hierarchies      = c("Zielhierarchien",
                              "Hierarchies des objectifs",
                              "Target hierarchies"),
  single.hierarchy        = c("Einzelne Hierarchie",
                              "Hierachie individuelle",
                              "Single hierarchy"),
  evaluation.hierarchies  = c("Bewertungshierarchien",
                              "Hierachie d'evaluation",
                              "Assessment hierarchies"),
  evaluation.lines        = c("Bewertungslinien",
                              "Lignes d'evaluation",
                              "Assessment lines"),
  segment                 = c("Abschnitt",
                              "Ligne",
                              "Segment"),
  select.segment          = c("Zeile waehlen",
                              "Selectionner la ligne",
                              "Select a segment"),
  read.error              = c("Kann Datei nicht lesen!",
                              "Ne peut pas lire le fichier!",
                              "Cannot read data!"),
  read.success            = c("Datei erfolgreich gelesen.",
                              "Fichier lu avec succes.",
                              "Data read successfully."),
  read.first              = c("Dateien zuerst lesen!",
                              "D'abord lire les fichiers!",
                              "Read data first!"),
  check.first             = c("Dateien zuerst pruefen!",
                              "D'abord controler les fichiers!",
                              "Check data first!"),
  range                   = c("Bereich",
                              "Domaine",
                              "Range"),
  input.dir.first         = c("Zuerst das Eingabeverzeichnis auswaehlen!",
                              "D'abord selectionner le repertoir d'entree!",
                              "Select an input directory first!"),
  output.dir.first        = c("Zuerst das Ausgabeverzeichnis auswaehlen!",
                              "D'abord selectionner le repertoir de sortie!",
                              "Select an output directory first!"),
  write.error             = c("Kann Datei nicht schreiben!",
                              "Ne peut pas ecrire le fichier!",
                              "Cannot write data!"),
  write.success           = c("Datei erfolgreich geschrieben.",
                              "Fichier ecrit avec succes.",
                              "Data written successfully."),
  write.first             = c("Zuerst Dateien schreiben!",
                              "D'abord ecrire les fichiers!",
                              "Write data first!"),
  view.file               = c("Datei ansehen...",
                              "Voir le fichier...",
                              "View file..."),
  show.results            = c("Resultate anzeigen",
                              "Voir les resultats",
                              "Show results"),
  plot.error              = c("Kann nicht zeichnen!",
                              "Ne peut pas dessiner!",
                              "Cannot plot!"),
  more.info               = c("Mehr Info...",
                              "Plus d'informations...",
                              "More info..."),
  reading.files           = c("Dateien lesen",
                              "Lire les fichiers",
                              "Reading files"),
  writing.files           = c("Dateien schreiben",
                              "Ecrire les fichiers",
                              "Writing files"),
  checking.files          = c("Dateien pruefen",
                              "Controler les fichiers",
                              "Checking files"),
  please.wait             = c("Bitte warten Sie einen Moment..",
                              "Veuillez attendre..",
                              "Please wait.."),
  missing.filename        = c("Fehlender Dateiname",
                              "Nom du fichier manquant",
                              "Missing file name"),
  missing.value           = c("Fehlender Wert",
                              "Valeur manquante",
                              "Missing value"),
  not.found               = c("nicht gefunden!",
                              "pas trouve!",
                              "not found!"),
  observation.code        = c("Erhebung",
                              "Observation",
                              "Observation"),
  sampling.protocol       = c("Sampling-Protokoll",
                              "Protocole d'echantillonnage",
                              "Sampling protocol"),
  samples                 = c("Stichproben",
                              "Echantillons",
                              "Samples"),
  samples.for.uncertainty = c("Stichproben fuer Wahrscheinlichkeiten der Typisierung",
                              "Echantillons aleatoires pour les probabilitees de la typification",
                              "Samples for probabilities of typification"),
  macrophytes             = c("Makrophyten",
                              "Macrophytes",
                              "Macrophytes"),
  macrophytes.title       = c("Modul Makrophyten - Stufen F und S",
                              "Modul macrophytes niveau R (region) et niveau C (cours d'eau)",
                              "Macrophytes module level R (region) and level C (watercourse)"),
  definitions             = c("Definitionen",
                              "Definitions",
                              "Definitions"),
  purpose                 = c("Ziel",
                              "Objectif",
                              "Objective"),
  purpose.text            = c("Interaktive Auswertung von Modulen des Modulstufenkonzepts",
                              "Evaluation interactive des modules du systeme modulaire gradue",
                              "Interactive assessment of modules of the modular gradual system"),
  current.modules.rivers  = c("Aktuell unterstuetzte Module fuer Fliessgewaesser",
                              "Modules actuels pour les rivieres",
                              "Current modules for rivers"),
  module.macrophytes      = c("Makrophyten",
                              "Macrophytes",
                              "Macrophytes"),
  current.modules.lakes   = c("Aktuell unterstuetzte Module fuer Seen",
                              "Modules actuels pour les lacs",
                              "Current modules for lakes"),
  module.lakeshoremorph   = c("Oekomorphologie der Seeufer",
                              "Morphologie des rives lacustres",
                              "Morphology of lake shores"),
  references              = c("Referenzen",
                              "References",
                              "References"),
  contact.person          = c("Kontaktpersonen",
                              "Personnes de contact",
                              "Contact persons"),
  documentation           = c("Dokumentation",
                              "Documentation",
                              "Documentation"),
  input.data              = c("Dateneingabe",
                              "Entree des donnes",
                              "Input data"),
  output.data             = c("Datenausgabe",
                              "Sortie des donnes",
                              "Output data"),
  results.updated         = c("Resultate aktualisiert",
                              "Resultats actualises",
                              "Updated results"),
  success                 = c("Erfolg!",
                              "Succes!",
                              "Success!"),
  error                   = c("Fehler!",
                              "Erreur!",
                              "Error!"),
  filenames               = c("Dateinamen",
                              "Noms des fichiers",
                              "File names"),
  sites.data              = c("Standortdaten",
                              "Donnees de site",
                              "Sites data"),
  species.data            = c("Artdaten",
                              "Donnees des taxa",
                              "Species data"),
  plausibilised.river.types = c("Plausibilisierte Flusstypen",
                                "Types de cours d'eau valides",
                                "Plausibilized river types"),
  river.type              = c("Flusstyp",
                              "Types de cours d'eau",
                              "River type"),
  sites.documentation     = c("Stellendokumentation",
                              "Documentation des sites",
                              "Documentation of the sites"),
  numeric                 = c("Numerisch",
                              "Numerique",
                              "Numeric"),
  numeric.results         = c("Numerische Resultate",
                              "Resultats numeriques",
                              "Numeric results"),
  used.taxa               = c("Taxa verwendete",
                              "Taxa utilises",
                              "Used taxa"),
  discarded.taxa          = c("Taxa verworfene",
                              "Taxa supprimees",
                              "Rejected taxa"),
  quality.checks          = c("Meldungen",
                              "Messages",
                              "Messages"),
  check.fail.sites.data   = c("Pruefung der Standortdaten nicht erfolgreich",
                              "Probleme avec la verification des donnees des sites",
                              "Sites data check failed"),
  check.fail.species.data = c("Pruefung der Artdaten nicht erfolgreich",
                              "Probleme avec la verification des donnes des especes",
                              "Species data check failed"),
  see                     = c("Siehe",
                              "Voir",
                              "See"),
  filename.res.num        = c("Standortdaten",
                              "Donnees_sites",
                              "Data_sites"),
  filename.res.doc        = c("Stellendokumentation",
                              "Documentation_sites",
                              "Documentation_sites"),
  filename.used.taxa      = c("Taxa_verwendet",
                              "Taxa_utlises",
                              "Taxa_used"),
  filename.discarded.taxa = c("Taxa_verworfen",
                              "Taxa_supprimes",
                              "Taxa_rejected"),
  filename.quality.checks = c("Qualitaets_Check",
                              "Control_qualite",
                              "Quality_checks"),
  analysis.running        = c("Analyse laeuft",
                              "Analyse en cours",
                              "Analysis in progress"),
  evaluate                = c("Auswerten",
                              "Evaluer",
                              "Evaluate"),
  evaluating              = c("Auswerten",
                              "Evaluer",
                              "Evaluating"),
  evaluation              = c("Auswertung",
                              "Resultat",
                              "Result"),
  evaluation_s_           = c("Auswertung(en)",
                              "Resultat(s)",
                              "Result(s)"),
  assesments              = c("Bewertungen",
                              "Evaluations",
                              "Assessments"),
  assesment               = c("Bewertung",
                              "Evaluation",
                              "Assessment"),
  typification            = c("Typisierung",
                              "Typification",
                              "Typification"),
  compute.typification    = c("Typisierung berechnen",
                              "Calculer la typification",
                              "Compute typification"),
  compute.typification.first = c("Zuerst Typisierung berechnen!",
                                 "D'abord calculer la typification!",
                                 "Compute typification first!"),
  types                   = c("Typen",
                              "Types",
                              "Types"),
  growth.habit.group      = c("Typen nach Wuchsformgruppe",
                              "Groupe selon la forme de croissance",
                              "Types according to growth forms"),
  prelim                  = c("vorl.",
                              "prov.",
                              "prelim."),
  prob                    = c("Wahrsch.",
                              "Probab.",
                              "Prob."),
  incl                    = c("inkl.",
                              "incl.",
                              "incl."),
  orig                    = c("orig.",
                              "original",
                              "original"),
  plaus                   = c("plaus.",
                              "valide",
                              "plaus."),
  modif                   = c("modif.",
                              "modif.",
                              "modif."),
  modification            = c("Modifikation",
                              "Modification",
                              "Modification"),
  assesment.prelim.first  = c("Zuerst Bewertung vorl. berechnen!",
                              "D'abord calculer l'evaluation initiale!",
                              "Compute preliminary assessment first!"),
  assesment.plaus.first   = c("Zuerst Bewertung plaus. berechnen!",
                              "D'abord calculer l'evaluation validee!",
                              "Compute plausibilized assessment first!"),
  tab                     = c("Tab.",
                              "Tab.",
                              "Tab."),
  width                   = c("Breite",
                              "Largeur",
                              "Width"),
  height                  = c("Hoehe",
                              "Altitude",
                              "Height"),
  w.idth                  = c("B",
                              "L",
                              "W"),
  h.eight                 = c("H",
                              "A",
                              "H"),
  and                     = c("und",
                              "et",
                              "and"),
  stringsAsFactors = FALSE
)

get.uiText = function(app.lang) {
  app.lang <- tolower(app.lang)
  #print(app.lang)
  app.lang.col <- switch(app.lang,
    "de" = 1, # German
    "fr" = 2, # French
    "en" = 3, # English
    stop(paste("Unknown language code:",app.lang)))
  as.list(uiDict[app.lang.col,])
}

#' UI messages in the chosen language
uiText = get.uiText(.app.lang)

